Package: RVIpkg
Title: Regional Vulnerability Index
Version: 0.3.4
Authors@R: c(
    person(given = "Si",
           family = "Gao",
           role = c("aut", "cre","dtc"),
           email = c("iamgaosi@yahoo.com","Si.Gao@uth.tmc.edu"),
           comment = "RVIpkg method development, code development, maintenance, data collection"),
    person(given = "Peter",
           family = "Kochunov",
           role = c("aut","dtc","cph","fnd"),
           email = "peter.kochunov@uth.tmc.edu",
           comment = "RVIpkg concept, method development, data collection and funding"),
    person(given = "Kathryn",
           family = "Hatch",
           role = c("ctb","dtc"),
           email = "khatchal@gmail.com",
           comment = "RVIpkg testing and data collection"),
    person(given = "Yizhou",
           family = "Ma",
           role = c("ctb","dtc"),
           email = "yizhou.ma@uth.tmc.edu",
           comment = "RVIpkg testing, method development and data collection"),
    person(given = "Fatima",
           family = "Talib",
           role = c("ctb"),
           email = "fatal1@umbc.edu",
           comment = "RVIpkg testing and method")
           )
Description: The Regional Vulnerability Index (RVI), a statistical measure of brain structural abnormality, quantifies an individual's similarity to the expected pattern (effect size) of deficits in schizophrenia (Kochunov P, Fan F, Ryan MC, et al. (2020) <doi:10.1002/hbm.25045>).
License: GPL (>= 2)
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.3.3
Depends: R (>= 3.5)
Imports: stats
NeedsCompilation: no
Packaged: 2026-03-27 21:03:14 UTC; x-sgao
Maintainer: Si Gao <iamgaosi@yahoo.com>
Author: Si Gao [aut, cre, dtc] (RVIpkg method development, code development,
    maintenance, data collection),
  Peter Kochunov [aut, dtc, cph, fnd] (RVIpkg concept, method
    development, data collection and funding),
  Kathryn Hatch [ctb, dtc] (RVIpkg testing and data collection),
  Yizhou Ma [ctb, dtc] (RVIpkg testing, method development and data
    collection),
  Fatima Talib [ctb] (RVIpkg testing and method)
Repository: CRAN
Date/Publication: 2026-03-27 21:30:02 UTC
Built: R 4.6.0; ; 2026-04-27 02:36:00 UTC; unix

#' @title Expected patterns of white matter
#'
#' @description the expected patterns of white matter in schizophrenia derived from large-scale meta-analyses by the ENIGMA.
#'
#' @format A data frame with 24 rows and 14 variables:
#' \describe{
#'   \item{WM}{white matter fractional anisotropy}
#'   \item{SSD}{the expected pattern of Schizophrenia Spectrum Disorder (\doi{10.1038/mp.2017.170} table 1; \doi{10.1002/hbm.24998} table 2)}
#'   \item{MDD}{the expected pattern of Major Depressive Disorder (\doi{10.1038/s41380-019-0477-2} Table S4; \doi{10.1002/hbm.24998} table 2)}
#'   \item{AD_ADNI}{the expected pattern of Alzheimer's Disease (\doi{10.1016/j.nicl.2021.102574} table S1)}
#'   \item{AD_ADNIOSYRIX}{the expected pattern of Alzheimer's Disease Neuroimaging Initiative + OSIRIX}
#'   \item{BD}{the expected pattern of Bipolar Disorder (\doi{10.1002/hbm.24998} table 2)}
#'   \item{Diabetes}{the expected pattern of Diabetes}
#'   \item{HighBP}{the expected pattern of Hypertension}
#'   \item{HighLipids}{the expected pattern of Hyperlipidemia}
#'   \item{MET}{the expected pattern of Metabolic diseases (diabetes, hypertension and hyperlipidemia)}
#'   \item{DS_22q}{the expected pattern of 22q11.2 deletion syndrome (\doi{10.1002/hbm.24998} table 2; \doi{10.1038/s41380-019-0450-0} table S6)}
#'   \item{PTSD}{the expected pattern of Post-traumatic stress disorder (\doi{10.1002/hbm.24998} table 2)}
#'   \item{TBI}{the expected pattern of Traumatic brain injury (\doi{10.1002/hbm.24998} table 2)}
#'   \item{OCD_pediatric}{the expected pattern of Obsessive-compulsive disorder in pediatric subjects (\doi{10.1038/s41398-021-01276-z} table 4)}
#'   \item{OCD_adult}{the expected pattern of Obsessive-compulsive disorder in adults (\doi{10.1038/s41398-021-01276-z} table 3)}
#'   \item{SADHC}{the expected pattern of Social Anxiety Disorder}
#'   \item{ASD}{the expected pattern of of Autism Spectrum Disorder (\doi{10.1038/s41380-019-0553-7} table S26)}
#' }
"EP.WM"

#' @title Regional Vulnerability Index
#' @description
#' The Regional Vulnerability Index (RVI), a statistical measure of brain structural abnormality, quantifies an individual’s similarity to the expected pattern
#' (effect size) of deficits seen in schizophrenia derived from large-scale meta-analyses by the ENIGMA consortium. The function outputs the inverse-normal
#' transformed (INT) residuals, z-normalized INT residuals, RVI and Alignment Vulnerability Index (AVI).
#' @param ID a column name of subject IDs in data.
#' @param DXcontrol a character string specifying control subset(i.e. DXcontrol='DX==0'or DXcontrol='DX=="CN"'). Mean and standard deviation of z-normalization
#' should be calculated in healthy controls.
#' @param covariates a character vector specifying column names of covariates (i.e. Age, Sex). If covariates=NULL (the default), residuals will not be
#' adjusted for any covariate. If covariates are specified (i.e. covariates=c('Age','Sex')), residuals will be adjusted for covariates.
#' @param resp.range a numeric vector specifying column indices of regional neuroimaging traits.
#' @param EP a numeric vector specifying an expected pattern of regional neuroimaging traits. The expected patterns(EP.WM, EP.GM and EP.Subcortical) for white matter
#' fractional anisotropy (FA), cortical matter thickness and subcortical volume are included in the package (Note: If you use an expected pattern, you need to make
#' sure the order of regional neuroimaging traits in your data match up the corresponding order of the expected pattern). The patterns can be extract in the package
#' (i.e. RVIpkg::EP.WM$SSD, RVIpkg::EP.WM$MDD, RVIpkg::EP.WM$AD, RVIpkg::EP.WM$BD ,RVIpkg::EP.WM$PD .etc.). They were developed using neuroimaging data of UK Biobank (UKBB).
#' @param sign a logical value indicating whether the AVI use signs from RVI.
#' @param fisherZ a logical value indicating whether the result should generate fisher-z transformed RVI.
#' @param data a data frame contains a column of subject IDs, a column of controls, columns of covariates, columns of responses.
#' @details
#' The RVI is developed as a simple measure of agreement between an individual's pattern of regional neuroimaging traits and the expected pattern of schizophrenia.
#' First, all observations of each regional neuroimaging trait are regressed out optional covariates using linear regression, and then residuals are extracted from
#' the model after removing effects of the optional covariates. The optional covariates could be age, sex, intracranial brain volume and/or .etc and the residuals
#' are inverse-normal transformed (INT) based on residuals' ranks. The INT residuals are then z-normalized/standardized using mean and standard deviation
#' from the healthy controls to get z-normalized residuals. For each subject, the RVI is then calculated as a Pearson correlation coefficient between the
#' z-normalized INT residuals of the traits and corresponding expected pattern of the traits and the AVI is the dot product of the z-normalized INT residuals of the
#' traits and corresponding expected pattern of the traits. These expected patterns include cortical thickness, subcortical volume, and white matter FA for mental
#' illnesses and metabolic diseases.
#' @return A list with the following elements:
#'   \item{i.norm.resid}{inverse-normal transformed residuals}
#'   \item{z.norm.resid}{z-normalized INT residuals}
#'   \item{RVI}{RVI: the Pearson correlation coefficient between the z-normalized INT residuals and corresponding expected pattern;
#'   AVI: the dot product of the z-normalized INT residuals and corresponding expected pattern;
#'   RVI.fisherz: Fisher z-transformed RVI
#'   }
#' @note
#' The RVI_func() function is developed at the the University of Texas Health Science Center at Houston, Department of Psychiatry and Behavioral Sciences,
#' McGovern Medical School. This project is supported by NIH R01 EB015611 grant. Please cite our funding if you use this software.
#' @references
#' Kochunov P, Fan F, Ryan MC, et al. Translating ENIGMA schizophrenia findings using the regional vulnerability index: Association
#' with cognition, symptoms, and disease trajectory (2020). Hum Brain Mapp. 2020;10.1002/hbm.25045. \doi{10.1002/hbm.25045}
#'
#' R Core Team (2020). R: A language and environment for statistical computing. R
#' Foundation for Statistical Computing, Vienna, Austria. URL
#' https://www.R-project.org/.
#' @examples
#' EP1 <- c(-0.37,0.31,-0.02,-0.08,-0.21,0.46,0.31,0.25)
#' RVI1 <- RVI_func(ID='ID', DXcontrol='DX==0', covariates=c('Age','Sex'), resp.range=c(6:13),
#' EP=EP1, data=RVIpkg::data)
#' RVI2 <- RVI_func(ID='ID', DXcontrol='DX==0', covariates=NULL, resp.range=c(6:13),
#' EP=EP1, data=RVIpkg::data)
#' EP2 <- RVIpkg::EP.Subcortical$SSD
#' RVI3 <- RVI_func(ID='ID', DXcontrol='DX==0', covariates=c('Age','Sex'), resp.range=c(6:13),
#' EP=EP2, data=RVIpkg::data)
#' @export

RVI_func <- function(ID, DXcontrol, covariates=NULL, resp.range, EP, sign=FALSE, fisherZ=FALSE, data) {
  message("Note: If the old atlas from ENIGMA DTI pipeline was used (e.g. label TAP is missing), then the following columns in your data need to be renamed: IFO->UNC and UNC->TAP.")
  resp.names <- names(data)[resp.range]
  resp.data <- data.frame(data[,resp.range])
  colnames(resp.data) <- resp.names
  control.idx <-  rownames(subset(data,eval(parse(text=DXcontrol))))

  i.norm.data <- data.frame(ID=data[,which(names(data)==ID)])
  if(is.null(covariates)==T){
    for (i in 1:ncol(resp.data)) {
      formula <- stats::as.formula(paste(resp.names[i], ' ~ ', 1))
      model <- stats::lm(formula, na.action=stats::na.exclude, data=data)
      model.residuals <- stats::resid(model)
      i.norm.residuals <- stats::qnorm((rank(model.residuals, na.last = "keep")) / (sum(!is.na(model.residuals))+1))
      i.norm.data <- cbind(i.norm.data,i.norm.residuals)
    }
    colnames(i.norm.data) <- c(ID,resp.names)
  }
  else{
    for (i in 1:ncol(resp.data)) {
      formula <- stats::as.formula(paste(resp.names[i], ' ~ ', paste(covariates, collapse = "+")))
      model <- stats::lm(formula,na.action=stats::na.exclude, data=data)
      model.residuals <- stats::resid(model)
      i.norm.residuals <- stats::qnorm((rank(model.residuals, na.last = "keep")) / (sum(!is.na(model.residuals))+1))
      i.norm.data <- cbind(i.norm.data,i.norm.residuals)
    }
    colnames(i.norm.data) <- c(ID,resp.names)
  }

  z.norm.data <- data.frame(ID=data[,which(names(data)==ID)])
  for (i in 2:ncol(i.norm.data)) {
    inorm.control.mean <- mean(i.norm.data[control.idx,i], na.rm = T)
    inorm.control.sd <- stats::sd(i.norm.data[control.idx,i], na.rm = T)
    z.norm.residuals <- (i.norm.data[,i] - inorm.control.mean)/inorm.control.sd
    z.norm.data <- cbind(z.norm.data,z.norm.residuals)
  }
  colnames(z.norm.data) <- c(ID,resp.names)

  RVI.data <- data.frame(ID=data[,which(names(data)==ID)], RVI=NA, AVI=NA)
  sumna <- function(x) {if(all(is.na(x))==T) NA else sum(x, na.rm = TRUE)}
  for (i in 1:nrow(z.norm.data)) {
    RVI.data$RVI[i] <- stats::cor(unlist(z.norm.data[i,2:(length(resp.range)+1)]), EP, use = "na.or.complete")
  }

  if(sign==TRUE){
    for (i in 1:nrow(z.norm.data)) {RVI.data$AVI[i] <- abs(sumna(unlist(z.norm.data[i,2:(length(resp.range)+1)])*EP))*sign(RVI.data$RVI[i])}
    }
  else{
    for (i in 1:nrow(z.norm.data)) {RVI.data$AVI[i] <- sumna(unlist(z.norm.data[i,2:(length(resp.range)+1)])*EP)}
  }

  if(fisherZ==TRUE){
    RVI.data$RVI.fisherZ <- NA
    for (i in 1:nrow(z.norm.data)) {RVI.data$RVI.fisherZ[i] <- 0.5*log((1+RVI.data$RVI[i])/(1-RVI.data$RVI[i]))}
    }

  out <- list()
  out$i.norm.resid <- i.norm.data
  out$z.norm.resid <- z.norm.data
  out$RVI <- RVI.data

  return (out)
}

#' @title Simulated volumes of subcortical structures
#'
#' @description Simulated volumes of subcortical structures of Schizophrenia spectrum disorder are used as an example for this function.
#' You can calculate RVI for this dataset
#'
#' @format A data frame with 196 rows and 12 variables:
#' \describe{
#'   \item{ID}{subjects' ID}
#'   \item{DX}{indicators of control group}
#'   \item{Age}{subjects' age}
#'   \item{Sex}{subjects' gehder}
#'   \item{Site}{subjects' scanning site}
#'   \item{Lateral.Ventricle}{simulated volumes of lateral Ventricle}
#'   \item{Thalamus}{simulated volumes of Thalamus}
#'   \item{Caudate}{simulated volumes of Caudate}
#'   \item{Putamen}{simulated volumes of Putamen}
#'   \item{Pallidum}{simulated volumes of Pallidum}
#'   \item{Hippocampus}{simulated volumes of Hippocampus}
#'   \item{Amygdala}{simulated volumes of Amygdala}
#'   \item{Left.Accumbens.area}{simulated volumes of left Accumbens}
#' }
#' @source The 'data' dataset is from Maryland Psychiatric Research Center, Department of Psychiatry, University of Maryland School of Medicine.
"data"

#' @title Optimizing data from UK Biobank
#' @description
#' The Ave_func() can optimize data from UK Biobank(UKB). It will rename field IDs of regional neuroimaging traits to abbreviation names, and then average data of left and right
#' hemispheres of the same field.
#' @param resp.range a numeric vector specifying column range of regional neuroimaging traits.
#' @param type a character string specifying data types of regional neuroimaging traits(i.e. All traits(type='all'), White matter(type='WM'),Gray matter(type='GM') or Subcortical(type='Subcortical'))
#' @param data a data frame contains regional neuroimaging traits with field IDs from UKBB. Default(type='all')
#' @return a dataframe of regional neuroimaging traits with abbreviated field names.
#' @note
#' The RVI_func() function is developed at the the University of Texas Health Science Center at Houston, Department of Psychiatry and Behavioral Sciences,
#' McGovern Medical School. This project is supported by NIH R01 EB015611 grant. Please cite our funding if you use this software.
#' @references
#' Kochunov P, Fan F, Ryan MC, et al. Translating ENIGMA schizophrenia findings using the regional vulnerability index: Association
#' with cognition, symptoms, and disease trajectory (2020). Hum Brain Mapp. 2020;10.1002/hbm.25045. \doi{10.1002/hbm.25045}
#'
#' R Core Team (2020). R: A language and environment for statistical computing. R
#' Foundation for Statistical Computing, Vienna, Austria. URL
#' https://www.R-project.org/.
#' @export

Ave_func <- function(resp.range, type='all', data) {
  other.data <- data[,-resp.range,drop=F]
  resp.data <- data[,resp.range,drop=F]
  out.data <- resp.data
  for (i in 1:ncol(resp.data)) {
    num_colname <- substr(as.numeric(unlist(regmatches(colnames(resp.data)[i], gregexpr("[[:digit:]]+\\.*[[:digit:]]*", colnames(resp.data)[i])))), start = 1, stop = 5)[1]
    for (j in 1:nrow(FID_list)) {
      FID <- FID_list$ID[j]
      if(is.na(num_colname)==F){
        if(num_colname==FID){
          colnames(out.data)[i] <- FID_list$name[j]
        }
      }
    }
  }

  average.data <- as.data.frame(sapply(split.default(out.data, names(out.data)), rowMeans))

  if(type=='all'){
    average.data$CC <- rowMeans(average.data[,c('GCC','BCC','SCC')], na.rm = FALSE, dims = 1)
    average.data$CR <- rowMeans(average.data[,c('ACR','SCR','PCR')], na.rm = FALSE, dims = 1)
    average.data$IC <- rowMeans(average.data[,c('ALIC','PLIC','RLIC')], na.rm = FALSE, dims = 1)
    average.data1 <- average.data[,EP.WM$WM]
    average.data2 <- average.data[,EP.GM$GM]
    average.data3 <- average.data[,EP.Subcortical$Subcortical]
    average.order <- cbind(average.data1,average.data2,average.data3)
  }
  else if(type=='WM'){
    average.data$CC <- rowMeans(average.data[,c('GCC','BCC','SCC')], na.rm = FALSE, dims = 1)
    average.data$CR <- rowMeans(average.data[,c('ACR','SCR','PCR')], na.rm = FALSE, dims = 1)
    average.data$IC <- rowMeans(average.data[,c('ALIC','PLIC','RLIC')], na.rm = FALSE, dims = 1)
    average.order <- average.data[,EP.WM$WM]
    }
  else if(type=='GM'){average.order <- average.data[,EP.GM$GM]}
  else if(type=='Subcortical'){average.order <- average.data[,EP.Subcortical$Subcortical]}

  out.combine <- cbind(other.data,average.order)
  return (out.combine)
}

#' @title Expected patterns of subcortical
#'
#' @description the expected patterns of subcortical in schizophrenia derived from large-scale meta-analyses by the ENIGMA.
#'
#' @format A data frame with 8 rows and 13 variables:
#' \describe{
#'   \item{Subcortical}{subcortical grey matter volume}
#'   \item{SSD}{the expected pattern of Schizophrenia Spectrum Disorder (\doi{10.1038/mp.2015.63} table 1)}
#'   \item{MDD}{the expected pattern of Major Depressive Disorder (\doi{10.1038/mp.2015.69} table 1)}
#'   \item{AD_ADNI}{the expected pattern of Alzheimer's Disease (\doi{10.1016/j.nicl.2021.102574}  table S1)}
#'   \item{AD_ADNIOSYRIX}{the expected pattern of Alzheimer's Disease Neuroimaging Initiative + OSIRIX}
#'   \item{BD}{the expected pattern of Bipolar Disorder (\doi{10.1038/mp.2015.227} table 1)}
#'   \item{PD}{the expected pattern of Parkinson's disease}
#'   \item{Diabetes}{the expected pattern of Diabetes}
#'   \item{HighBP}{the expected pattern of Hypertension)}
#'   \item{HighLipids}{the expected pattern of Hyperlipidemia}
#'   \item{MET}{the expected pattern of Metabolic diseases (Diabetes, Hypertension and Hyperlipidemia)}
#'   \item{DS_22q}{the expected pattern of 22q11.2 deletion syndrome (\doi{10.1176/appi.ajp.2019.19060583} table S14a)}
#'   \item{Suicide}{the expected pattern of suicidal ideation (\doi{10.1101/2021.09.27.21264068} table S8)}
#'   \item{OCD_pediatric}{the expected pattern of Obsessive-compulsive disorder in pediatric subjects (\doi{10.1176/appi.ajp.2016.16020201} table S2)}
#'   \item{OCD_adult}{the expected pattern of Obsessive-compulsive disorder in adults (\doi{10.1176/appi.ajp.2016.16020201} table 3)}
#'   \item{AN}{the expected pattern of Anorexia Nervosa}
#'   \item{ASD}{the expected pattern of Autism Spectrum Disorder (\doi{10.1176/appi.ajp.2017.17010100} table 2)}
#'   \item{ADHD}{the expected pattern of Attention-Deficit/Hyperactivity Disorder}
#' }
"EP.Subcortical"

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/EP.GM.R
\docType{data}
\name{EP.GM}
\alias{EP.GM}
\title{Expected patterns of gray matter}
\format{
A data frame with 33 rows and 13 variables:
\describe{
\item{GM}{grey matter thickness}
\item{SSD}{the expected pattern of Schizophrenia Spectrum Disorder (\doi{10.1016/j.biopsych.2018.04.023} table S4a)}
\item{MDD}{the expected pattern of Major Depressive Disorder (\doi{10.1038/mp.2016.60} table 1)}
\item{AD_ADNI}{the expected pattern of Alzheimer's Disease (\doi{10.1016/j.nicl.2021.102574} table S1)}
\item{AD_ADNIOSYRIX}{the expected pattern of Alzheimer's Disease Neuroimaging Initiative + OSIRIX}
\item{BD}{the expected pattern of Bipolar Disorder (\doi{10.1038/mp.2017.73} table 1)}
\item{PD}{the expected pattern of Parkinson's disease}
\item{Diabetes}{the expected pattern of Diabetes}
\item{HighBP}{the expected pattern of Hypertension}
\item{HighLipids}{the expected pattern of Hyperlipidemia}
\item{MET}{the expected pattern of Metabolic diseases (Diabetes, Hypertension and Hyperlipidemia)}
\item{DS_22q}{the expected pattern of 22q11.2 deletion syndrome (\doi{10.1038/s41380-018-0078-5} table S10a)}
\item{Suicide}{the expected pattern of suicidal ideation (\doi{10.1101/2021.09.27.21264068} table S8)}
\item{OCD_pediatric}{the expected pattern of Obsessive-compulsive disorder in pediatric subjects (\doi{10.1176/appi.ajp.2017.17050485} table S6)}
\item{OCD_adult}{the expected pattern of Obsessive-compulsive disorder in adults (\doi{10.1176/appi.ajp.2017.17050485} table S4)}
\item{AN}{the expected pattern of Anorexia Nervosa}
\item{ASD}{the expected pattern of Autism Spectrum Disorder (\doi{10.1176/appi.ajp.2017.17010100} table 2)}
\item{ADHD}{the expected pattern of Attention-Deficit/Hyperactivity Disorder}
}
}
\usage{
EP.GM
}
\description{
the expected patterns of gray matter in schizophrenia derived from large-scale meta-analyses by the ENIGMA.
}
\keyword{datasets}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RVI_batch_func.R
\name{RVI_batch_func}
\alias{RVI_batch_func}
\title{Regional Vulnerability Index by Multi-site}
\usage{
RVI_batch_func(
  ID,
  DXcontrol,
  covariates = NULL,
  batch,
  resp.range,
  EP,
  sign = FALSE,
  fisherZ = FALSE,
  data
)
}
\arguments{
\item{ID}{a column name of subject IDs in data.}

\item{DXcontrol}{a character string specifying control subset(i.e. DXcontrol='DX==0'or DXcontrol='DX=="CN"'). Mean and standard deviation of z-normalization
should be calculated in healthy controls.}

\item{covariates}{a character vector specifying column names of covariates (i.e. Age, Sex). If covariates=NULL (the default), residuals will not be
adjusted for any covariate. If covariates are specified (i.e. covariates=c('Age','Sex')), residuals will be adjusted for covariates.}

\item{batch}{a character string of a column name indicating the scanning site or scanner or etc.}

\item{resp.range}{a numeric vector specifying column indices of regional neuroimaging traits.}

\item{EP}{a numeric vector specifying an expected pattern of regional neuroimaging traits. The expected patterns(EP.WM, EP.GM and EP.Subcortical) for white matter
fractional anisotropy (FA), cortical matter thickness and subcortical volume are included in the package (Note: If you use an expected pattern, you need to make
sure the order of regional neuroimaging traits in your data match up the corresponding order of the expected pattern). The patterns can be extract in the package
(i.e. RVIpkg::EP.WM$SSD, RVIpkg::EP.WM$MDD, RVIpkg::EP.WM$AD, RVIpkg::EP.WM$BD ,RVIpkg::EP.WM$PD .etc.). They were developed using neuroimaging data of UK Biobank (UKBB).}

\item{sign}{a logical value indicating whether the AVI use signs from RVI.}

\item{fisherZ}{a logical value indicating whether the result should generate fisher-z transformed RVI.}

\item{data}{a data frame contains a column of subject IDs, a column of controls, columns of covariates, columns of responses.}
}
\value{
A list with the following elements:
\item{i.norm.resid}{inverse-normal transformed residuals}
\item{z.norm.resid}{z-normalized INT residuals}
\item{RVI}{RVI: the Pearson correlation coefficient between the z-normalized INT residuals and corresponding expected pattern;
AVI: the dot product of the z-normalized INT residuals and corresponding expected pattern;
RVI.fisherz: Fisher z-transformed RVI
}
}
\description{
The Regional Vulnerability Index (RVI), a statistical measure of brain structural abnormality, quantifies an individual’s similarity to the expected pattern (effect size)
of deficits seen in schizophrenia derived from large-scale meta-analyses by the ENIGMA consortium. This version of RVI function will specifically calculate RVI for data
collected from different scanners/sites. The function outputs the inverse-normal transformed (INT) residuals, z-normalized INT residuals, RVI and Alignment Vulnerability Index (AVI).
}
\details{
The RVI is developed as a simple measure of agreement between an individual's pattern of regional neuroimaging traits and the expected pattern of schizophrenia.
First, all observations of each regional neuroimaging trait are regressed out optional covariates using linear regression, and then residuals are extracted from
the model after removing effects of the optional covariates. The optional covariates could be age, sex, intracranial brain volume and/or .etc within each site and then
the residuals are inverse-normal transformed (INT) based on residuals' ranks. All INT residuals data from all sites are combined and z-normalized/standardized using mean
and standard deviation from the healthy controls to get z-normalized residuals. For each subject, the RVI is then calculated as a Pearson correlation coefficient between the
z-normalized INT residuals of the traits and corresponding expected pattern of the traits and the AVI is the dot product of the z-normalized INT residuals of the
traits and corresponding expected pattern of the traits. These expected patterns include cortical thickness, subcortical volume, and white matter FA for mental
illnesses and metabolic diseases.
}
\note{
The RVI_func() function is developed at the the University of Texas Health Science Center at Houston, Department of Psychiatry and Behavioral Sciences,
McGovern Medical School. This project is supported by NIH R01 EB015611 grant. Please cite our funding if you use this software.
}
\examples{
EP1 <- c(-0.37,0.31,-0.02,-0.08,-0.21,0.46,0.31,0.25)
RVI1 <- RVI_batch_func(ID='ID', DXcontrol='DX==0',batch='Site', covariates=c('Age','Sex'),
resp.range=c(6:13), EP=EP1, data=RVIpkg::data)
}
\references{
Kochunov P, Fan F, Ryan MC, et al. Translating ENIGMA schizophrenia findings using the regional vulnerability index: Association
with cognition, symptoms, and disease trajectory (2020). Hum Brain Mapp. 2020;10.1002/hbm.25045. \doi{10.1002/hbm.25045}

R Core Team (2020). R: A language and environment for statistical computing. R
Foundation for Statistical Computing, Vienna, Austria. URL
https://www.R-project.org/.
}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/EP.WM.R
\docType{data}
\name{EP.WM}
\alias{EP.WM}
\title{Expected patterns of white matter}
\format{
A data frame with 24 rows and 14 variables:
\describe{
\item{WM}{white matter fractional anisotropy}
\item{SSD}{the expected pattern of Schizophrenia Spectrum Disorder (\doi{10.1038/mp.2017.170} table 1; \doi{10.1002/hbm.24998} table 2)}
\item{MDD}{the expected pattern of Major Depressive Disorder (\doi{10.1038/s41380-019-0477-2} Table S4; \doi{10.1002/hbm.24998} table 2)}
\item{AD_ADNI}{the expected pattern of Alzheimer's Disease (\doi{10.1016/j.nicl.2021.102574} table S1)}
\item{AD_ADNIOSYRIX}{the expected pattern of Alzheimer's Disease Neuroimaging Initiative + OSIRIX}
\item{BD}{the expected pattern of Bipolar Disorder (\doi{10.1002/hbm.24998} table 2)}
\item{Diabetes}{the expected pattern of Diabetes}
\item{HighBP}{the expected pattern of Hypertension}
\item{HighLipids}{the expected pattern of Hyperlipidemia}
\item{MET}{the expected pattern of Metabolic diseases (diabetes, hypertension and hyperlipidemia)}
\item{DS_22q}{the expected pattern of 22q11.2 deletion syndrome (\doi{10.1002/hbm.24998} table 2; \doi{10.1038/s41380-019-0450-0} table S6)}
\item{PTSD}{the expected pattern of Post-traumatic stress disorder (\doi{10.1002/hbm.24998} table 2)}
\item{TBI}{the expected pattern of Traumatic brain injury (\doi{10.1002/hbm.24998} table 2)}
\item{OCD_pediatric}{the expected pattern of Obsessive-compulsive disorder in pediatric subjects (\doi{10.1038/s41398-021-01276-z} table 4)}
\item{OCD_adult}{the expected pattern of Obsessive-compulsive disorder in adults (\doi{10.1038/s41398-021-01276-z} table 3)}
\item{SADHC}{the expected pattern of Social Anxiety Disorder}
\item{ASD}{the expected pattern of of Autism Spectrum Disorder (\doi{10.1038/s41380-019-0553-7} table S26)}
}
}
\usage{
EP.WM
}
\description{
the expected patterns of white matter in schizophrenia derived from large-scale meta-analyses by the ENIGMA.
}
\keyword{datasets}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Ave_func.R
\name{Ave_func}
\alias{Ave_func}
\title{Optimizing data from UK Biobank}
\usage{
Ave_func(resp.range, type = "all", data)
}
\arguments{
\item{resp.range}{a numeric vector specifying column range of regional neuroimaging traits.}

\item{type}{a character string specifying data types of regional neuroimaging traits(i.e. All traits(type='all'), White matter(type='WM'),Gray matter(type='GM') or Subcortical(type='Subcortical'))}

\item{data}{a data frame contains regional neuroimaging traits with field IDs from UKBB. Default(type='all')}
}
\value{
a dataframe of regional neuroimaging traits with abbreviated field names.
}
\description{
The Ave_func() can optimize data from UK Biobank(UKB). It will rename field IDs of regional neuroimaging traits to abbreviation names, and then average data of left and right
hemispheres of the same field.
}
\note{
The RVI_func() function is developed at the the University of Texas Health Science Center at Houston, Department of Psychiatry and Behavioral Sciences,
McGovern Medical School. This project is supported by NIH R01 EB015611 grant. Please cite our funding if you use this software.
}
\references{
Kochunov P, Fan F, Ryan MC, et al. Translating ENIGMA schizophrenia findings using the regional vulnerability index: Association
with cognition, symptoms, and disease trajectory (2020). Hum Brain Mapp. 2020;10.1002/hbm.25045. \doi{10.1002/hbm.25045}

R Core Team (2020). R: A language and environment for statistical computing. R
Foundation for Statistical Computing, Vienna, Austria. URL
https://www.R-project.org/.
}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data.R
\docType{data}
\name{data}
\alias{data}
\title{Simulated volumes of subcortical structures}
\format{
A data frame with 196 rows and 12 variables:
\describe{
\item{ID}{subjects' ID}
\item{DX}{indicators of control group}
\item{Age}{subjects' age}
\item{Sex}{subjects' gehder}
\item{Site}{subjects' scanning site}
\item{Lateral.Ventricle}{simulated volumes of lateral Ventricle}
\item{Thalamus}{simulated volumes of Thalamus}
\item{Caudate}{simulated volumes of Caudate}
\item{Putamen}{simulated volumes of Putamen}
\item{Pallidum}{simulated volumes of Pallidum}
\item{Hippocampus}{simulated volumes of Hippocampus}
\item{Amygdala}{simulated volumes of Amygdala}
\item{Left.Accumbens.area}{simulated volumes of left Accumbens}
}
}
\source{
The 'data' dataset is from Maryland Psychiatric Research Center, Department of Psychiatry, University of Maryland School of Medicine.
}
\usage{
data
}
\description{
Simulated volumes of subcortical structures of Schizophrenia spectrum disorder are used as an example for this function.
You can calculate RVI for this dataset
}
\keyword{datasets}
